.movie-cards-container {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
}
.movie-card {
    margin-top: 2px;
    width: 177px;
    height: 315px;
    background: #333;
    border-radius: 6px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    position: relative;
}
.movie-card-rating {
    position: absolute;
    top: 0;
    left: 0;
    width: auto;
    height: 19px;
    padding: 3px;
    background: rgba(0, 0, 0, .7);
    font-size: 12px;
    line-height: 1.4em;
}
.movie-card-rating img {
    position: relative;
    top: -2px;
    margin-right: 1px;
}
.movie-card-ribbon {
    width: 100px;
    height: 70px;
    position: absolute;
    right: -10px;
    top: -10px;
    overflow: hidden;
}
.movie-card-ribbon-inner {
    width: 100px;
    height: 20px;
    transform: rotate(45deg);
    margin-left: -3px;
    position: relative;
    left: 28px;
    top: 17px;
    box-shadow: 0 5px 10px -5px rgba(0, 0, 0, 1);
    text-align: center;
    color: #fcfcfc;
    line-height: 1.4em;
}
.movie-card:hover {
    background: #7e7e7e;
}

.movie-card-poster {
    position: relative;
    width: 161px;
    height: 214px;
    background: #222;
}
.movie-card-details {
    width: 161px;
    height: 77px;
    background: #222;
}
.movie-card-details-top {
    width: 100%;
    height: 25px;
    background: #2e2e2e;
    font-size: 12px;
    color: #f8c07f;
    overflow: hidden;
    text-align: center;
    line-height: 2.2em;
}
.movie-card-details-bottom {
    width: 100%;
    padding: 4px;
    font-size: 15px;
    text-align: center;
    height: 52px;
    overflow: hidden;
}

.movie-card-details-bottom a {
    color: #fcfcfc;
    text-decoration: none;
}
.movie-card-ribbon-fullhd {
    background: #0033ff;
}
.movie-card-ribbon-normal {
    background: none;
}
.movie-card-ribbon-hd {
    background: #dc0603;
}
.movie-card-ribbon-4k {
    background: #f600ff;
}
.movie-card-ribbon-zoom {
    background: #0e9f00;
}